// timer.h
// (c) 2004 by Jeremy Stanley
// This is free software licensed under the GNU GPL.  See license.txt for details.
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TIMER_H__8F4C776D_15AB_4351_8B76_9C46EB70D176__INCLUDED_)
#define AFX_TIMER_H__8F4C776D_15AB_4351_8B76_9C46EB70D176__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#if defined( WIN32 )

// Win32 declarations

typedef  __int64 ps_tick_t;

#else

// Linux declarations

typedef long long ps_tick_t;

#endif

// Platform-neutral declarations

// call before any other functions to calibrate CPU speed
// if returns false, timer is not supported on this architecture
bool psInitializeTimer();

// retrieve a timestamp counter
ps_tick_t psGetTickCount();

// get milliseconds elapsed between two timestamps
double psGetSecondsElapsed(ps_tick_t ticks);

#endif // !defined(AFX_TIMER_H__8F4C776D_15AB_4351_8B76_9C46EB70D176__INCLUDED_)
